QmailtoasterMain Page | About | Help | FAQ | Special pages | Log in

Printable version | Disclaimers | Privacy policy | Latest revision

Dependencies Required for QmailToaster Install

Revision as of 17:56, 18 October 2005 by Jake (Talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

This is a list of the packages required for QmailToaster to install and run properly for a basic install of CentOS 4

If you use a different distro, this should provide a good guideline for you to follow.

  1. CentOS 4 dependencies for basic install
  2. This covers the required packages when you DID NOT
  3. check anything when you installed CentOS 4
  4. Removes sendmail and adds all deps


Note: SELinux must be disabled


  1. Remember to import the keys so yum works,

rpm --import /usr/share/doc/centos-release-4/RPM*


  1. Remove sendmail with either:

yum -y remove sendmail OR rpm -e --nodeps sendmail


  1. You need the following packages installed

autoconf automake automake17 bzip2 bzip2-devel curl curl-devel expect expect-devel gcc gcc-c++ gcc-g77 gcc-java gdbm gdbm-devel gmp gmp-devel httpd httpd-devel httpd-manual httpd-suexec krb5-auth-dialog krb5-devel krb5-libs krb5-workstation libgcc libidn libidn-devel mysql mysql-bench mysql-devel mysql-server mrtg ntp openssl openssl-devel pcre perl-Digest-HMAC perl-Digest-SHA1 perl-Net-DNS perl-Time-HiRes php php-ldap php-mysql php-pear rpm-build rpm-devel rpm-libs rpm-python sed setup setuptool spamassassin stunnel system-config-date which


Find

Browse
Main page
Community portal
Current events
Recent changes
Random page
Help
Edit
View source
Editing help
This page
Discuss this page
New section
Printable version
Context
Page history
What links here
Related changes
My pages
Log in / create account
Special pages
New pages
File list
Statistics
More...